#ifndef MAINMENU_H
#define MAINMENU_H

#include "menu-button.h"

struct Str_Main_Menu{
    Menu_Button ** buttons;
    int buttonCount;
    char ** buttonDisplayNames;
};

typedef struct Str_Main_Menu Main_Menu;

Main_Menu * Main_Menu_init(const int screenWidth, const int screenHeight);

Display Main_Menu_detect_click(Main_Menu * self, Vector2 * mousePos);

#endif